Get user events
curl --request POST \
--url https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "userFunding",
"user": "0x1cd84cc81f7ec9e14362681d606d00a526e388eb"
}
'import requests
url = "https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events"
payload = {
"type": "userFunding",
"user": "0x1cd84cc81f7ec9e14362681d606d00a526e388eb"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'userFunding', user: '0x1cd84cc81f7ec9e14362681d606d00a526e388eb'})
};
fetch('https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"time": 123,
"hash": "<string>",
"delta": {
"type": "funding",
"coin": "<string>",
"usdc": "<string>",
"szi": "<string>",
"fundingRate": "<string>",
"nSamples": 123
}
}
]"<string>""<string>"Hyperliquid
User Funding
Endpoint providing funding payment history by user address
POST
/
api
/
v1
/
developer
/
trading
/
hyperliquid
/
info
/
events
Get user events
This endpoint provides funding payment history for Hyperliquid user addresses.
Drop-in ReplacementThis endpoint is a 1-1 replacement for the
userFunding endpoint in Hyperliquid.Show Response Example
Show Response Example
[
{
"time": 1763377200051,
"hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"delta": {
"type": "funding",
"coin": "BTC",
"usdc": "-36.532141",
"szi": "30.55453",
"fundingRate": "0.0000125",
"nSamples": null
}
}
]
Authorizations
Body
application/json
Was this page helpful?
⌘I